Add Kitchen Display Controllers

post

/config/sim/v2/devices/kitchenDisplayControllers

Add a KDS Controllers record for the current organization.

Request

Supported Media Types
Header Parameters
Body ()
A request body
Root Schema : schema
Type: object
Model for KDS Controllers CUD Request
Show Source
Nested Schema : bckupSVCHost
Type: object
An object representing the backup service host details associated with the KDS controller.
Show Source
Nested Schema : itemStatusColors
Type: object

An object containing an integer value representing the item status colors. Valid range is 0-13.

Value Color
0 Default
1 Black
2 White
3 Blue
4 Cyan
5 Dark Gray
6 Gray
7 Light Gray
8 Green
9 Magenta
10 Orange
11 Pink
12 Red
13 Yellow
Show Source
Nested Schema : layoutColorsOverride
Type: object
An object representing the layout colors override. Values can be specified either as hexadecimal color strings (ex '#FF5733') or as the names of known colors (ex, 'Red', 'Blue'). For a complete list of known color names, refer to the List Values section of the C&C API documentation.
Show Source
  • Known color name or hexadecimal value representing the RBG combination of the background color for orders exceeding the first alert time.
    Example: #0FF000
  • Known color name or hexadecimal value representing the RBG combination of the background color for orders exceeding the second alert time.
    Example: #0FF000
  • Known color name or hexadecimal value representing the RBG combination of the background panel color for the KDS Display.
    Example: #0FF000
  • Known color name or hexadecimal value representing the RBG combination of the color in which Course 1 items appear on the KDS.
    Example: #0FF000
  • Known color name or hexadecimal value representing the RBG combination of the background color for orders on the KDS Display.
    Example: #0FF000
  • Known color name or hexadecimal value representing the RBG combination of the color in which the border of an order appears when selecting an item.
    Example: #0FF000
  • Known color name or hexadecimal value representing the RBG combination of the color in which voided items appear on the KDS.
    Example: #0FF000
Nested Schema : name
Type: object
name of the KDS Controller
Example:
{
    "1":"Enterprise",
    "2":"Unternehmen",
    "3":"Empresa"
}
Nested Schema : svcHost
Type: object
An object representing the service host details associated with the KDS controller.
Show Source
Back to Top

Response

Supported Media Types

200 Response

Kitchen Display Controller Added.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top